/*
 * Vault functions
 *
 * (c) 2002-2010 - OLO
 * This file is provided as is (no warranties).
 *
 */

#if defined _vault_included
  #endinput
#endif
#define _vault_included

/* Checks if a key exists in the vault. */
native vaultdata_exists(const key[]);

/* Reads a data from given key.
 * If len is set to zero then get_vaultdata
 * returns value as an number. */
native get_vaultdata(const key[], data[] = "", len = 0);

/* Sets a data under given key. */
native set_vaultdata(const key[], const data[] = "");

/* Removes a key from vault. */
native remove_vaultdata(const key[]);
